<script>
export let scaleX;
export let scaleY;
export let Yscale;
export let data=[];

let pathGenerator = (d) => {
//console.log(d)
  let path = "M 0,"+scaleY(0);
  d.forEach((val, idx) => {
    path += " " + scaleX(idx) + ',' + scaleY(val)
  })
  //console.log(path)
  return path;
}

let pathSecondGen = (d) => {
//console.log(d)
  let path = "M 0,"+Yscale(0);
  d.forEach((val, idx) => {
    path += " " + scaleX(idx) + ',' + Yscale(val)
  })
  //console.log(path)
  return path;
}
</script>

<style>
    path{
        stroke: none;
        fill: black;
        fill-opacity: 1;
    }
</style>

<path d={pathGenerator(data)} />


